Page MenuHomePhabricator

operations-apache-config-lint replacement doesn't check syntax
Open, NormalPublic

Description

operations/puppet.git modules/mediawiki/files/apache/sites/redirects/test_redirects_dat.py run in job operations-puppet-tox-py27 test if the redirects are in sync, but it doesn't check the resulting syntax like operations-apache-config-lint did. See https://gerrit.wikimedia.org/r/#/c/243923/1/jjb/operations-apache-config.yaml,cm for the previous job, it runs apache on the resulting config.

Event Timeline

JanZerebecki raised the priority of this task from to Normal.
JanZerebecki updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 6 2015, 8:37 PM
jayvdb added a subscriber: jayvdb.Jan 27 2016, 12:12 AM
greg added a comment.Sep 29 2016, 7:41 PM

This follow-up task from an incident report has not been updated recently. If it is no longer valid, please add a comment explaining why. If it is still valid, please prioritize it appropriately relative to your other work. If you have any questions, feel free to ask me (Greg Grossmeier).

thiemowmde closed this task as Invalid.Dec 7 2017, 3:51 PM
Legoktm reopened this task as Open.Dec 7 2017, 3:58 PM

This hasn't been fixed yet.

Dzahn added a comment.Dec 7 2017, 6:35 PM

This is correct, i believe it's still a valid ToDo for Contint in general.